[GH-ISSUE #770] [BUG] Whoogle Docker not working - PermissionError: [Errno 13] Permission denied .... #485

Closed
opened 2026-02-25 20:35:52 +03:00 by kerem · 3 comments
Owner

Originally created by @aindriu80 on GitHub (May 28, 2022).
Original GitHub issue: https://github.com/benbusby/whoogle-search/issues/770

Describe the bug
Whoogle stopped working, I get the following error

Internal Server Error

The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application

I have read https://github.com/benbusby/whoogle-search/issues/375 but I can't edit the file they are talking about. Can someone give more detailed instructions?

To Reproduce
Steps to reproduce the behavior:

  1. Go to Whoogle
  2. Type in a search query
  3. An Internal Server Error message appears

Deployment Method

  • Heroku (one-click deploy)
  • [X ] Docker
  • run executable
  • pip/pipx
  • Other: [describe setup]

Version of Whoogle Search

  • Latest build from [source] (i.e. GitHub, Docker Hub, pip, etc)
  • Version [version number]
  • [X ] Not sure

Desktop (please complete the following information):

  • OS: [e.g. iOS]
  • Browser [e.g. chrome, safari]
  • Version [e.g. 22]

Smartphone (please complete the following information):

  • Device: Raspberry Pi 4 8GB
  • OS: Ubuntu
  • Browser Firefox
  • Version 100+

Additional context

PermissionError: [Errno 13] Permission denied: '/config/session/2029240f6d1128be89ddc32729463129'

WARNING:root:Exception raised while handling cache file '/config/session/e5790a3affb7fc747702160ab9333d54'

Traceback (most recent call last):

  File "/usr/local/lib/python3.11/site-packages/cachelib/file.py", line 222, in set

    fd, tmp = tempfile.mkstemp(

              ^^^^^^^^^^^^^^^^^

  File "/usr/local/lib/python3.11/tempfile.py", line 341, in mkstemp

    return _mkstemp_inner(dir, prefix, suffix, flags, output_type)

           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

  File "/usr/local/lib/python3.11/tempfile.py", line 256, in _mkstemp_inner

    fd = _os.open(file, flags, 0o600)

         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^

PermissionError: [Errno 13] Permission denied: '/config/session/tmp38narmg4.__wz_cache'
Originally created by @aindriu80 on GitHub (May 28, 2022). Original GitHub issue: https://github.com/benbusby/whoogle-search/issues/770 **Describe the bug** Whoogle stopped working, I get the following error > Internal Server Error > > The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application > I have read https://github.com/benbusby/whoogle-search/issues/375 but I can't edit the file they are talking about. Can someone give more detailed instructions? **To Reproduce** Steps to reproduce the behavior: 1. Go to Whoogle 2. Type in a search query 3. An Internal Server Error message appears **Deployment Method** - [ ] Heroku (one-click deploy) - [X ] Docker - [ ] `run` executable - [ ] pip/pipx - [ ] Other: [describe setup] **Version of Whoogle Search** - [ ] Latest build from [source] (i.e. GitHub, Docker Hub, pip, etc) - [ ] Version [version number] - [X ] Not sure **Desktop (please complete the following information):** - OS: [e.g. iOS] - Browser [e.g. chrome, safari] - Version [e.g. 22] **Smartphone (please complete the following information):** - Device: Raspberry Pi 4 8GB - OS: Ubuntu - Browser Firefox - Version 100+ **Additional context** ``` PermissionError: [Errno 13] Permission denied: '/config/session/2029240f6d1128be89ddc32729463129' WARNING:root:Exception raised while handling cache file '/config/session/e5790a3affb7fc747702160ab9333d54' Traceback (most recent call last): File "/usr/local/lib/python3.11/site-packages/cachelib/file.py", line 222, in set fd, tmp = tempfile.mkstemp( ^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/tempfile.py", line 341, in mkstemp return _mkstemp_inner(dir, prefix, suffix, flags, output_type) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/tempfile.py", line 256, in _mkstemp_inner fd = _os.open(file, flags, 0o600) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ PermissionError: [Errno 13] Permission denied: '/config/session/tmp38narmg4.__wz_cache' ```
kerem 2026-02-25 20:35:52 +03:00
  • closed this issue
  • added the
    bug
    label
Author
Owner

@DUOLabs333 commented on GitHub (May 30, 2022):

Make sure you're on the latest version (pull from latest).

<!-- gh-comment-id:1140623896 --> @DUOLabs333 commented on GitHub (May 30, 2022): Make sure you're on the latest version (pull from `latest`).
Author
Owner

@aindriu80 commented on GitHub (May 31, 2022):

Everything is already up to date

sudo docker pull benbusby/whoogle-search

returns

Using default tag: latest

latest: Pulling from benbusby/whoogle-search

Digest: sha256:5b44213c513c51491d4eb381a4e71961c2852a8c006de50c04cb197e99edf36f

Status: Image is up to date for benbusby/whoogle-search:latest

docker.io/benbusby/whoogle-search:latest 

<!-- gh-comment-id:1141732425 --> @aindriu80 commented on GitHub (May 31, 2022): Everything is already up to date ` sudo docker pull benbusby/whoogle-search ` returns ``` Using default tag: latest latest: Pulling from benbusby/whoogle-search Digest: sha256:5b44213c513c51491d4eb381a4e71961c2852a8c006de50c04cb197e99edf36f Status: Image is up to date for benbusby/whoogle-search:latest docker.io/benbusby/whoogle-search:latest ```
Author
Owner

@aindriu80 commented on GitHub (Jun 5, 2022):

I got this resolved, using a script created by Novaspirit
https://github.com/novaspirit/pi-hosted/issues/342#event-6742110623

> 
> >    #!/bin/bash
>  
>  function error {
>    echo -e "\\e[91m$1\\e[39m"
>    exit 1
>  }
>  
>  #function check_internet() {
>  #  printf "Checking if you are online..."
>  #  wget -q --spider http://github.com
>  #  if [ $? -eq 0 ]; then
>  #    echo "Online. Continuing."
>  #  else
>  #    error "Offline. Go connect to the internet then run the script again."
>  #  fi
>  #}
>  
>  check_internet
>  
>  echo "Creating directories..."
>  sudo mkdir -p /portainer/Files/AppData/Config/Whoogle || error "Failed to create Whoogle config directory!"
>  echo "Setting permissions..."
>  sudo chown -R 927.927 /portainer/Files/AppData/Config/Whoogle || error "Failed to set permissions!"
>  echo "Done You are ready to install the Whoogle Template"
<!-- gh-comment-id:1146773796 --> @aindriu80 commented on GitHub (Jun 5, 2022): I got this resolved, using a script created by Novaspirit https://github.com/novaspirit/pi-hosted/issues/342#event-6742110623 ``` > > > #!/bin/bash > > function error { > echo -e "\\e[91m$1\\e[39m" > exit 1 > } > > #function check_internet() { > # printf "Checking if you are online..." > # wget -q --spider http://github.com > # if [ $? -eq 0 ]; then > # echo "Online. Continuing." > # else > # error "Offline. Go connect to the internet then run the script again." > # fi > #} > > check_internet > > echo "Creating directories..." > sudo mkdir -p /portainer/Files/AppData/Config/Whoogle || error "Failed to create Whoogle config directory!" > echo "Setting permissions..." > sudo chown -R 927.927 /portainer/Files/AppData/Config/Whoogle || error "Failed to set permissions!" > echo "Done You are ready to install the Whoogle Template" ```
Sign in to join this conversation.
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/whoogle-search#485
No description provided.